## okular 24.08.2

=== debian/changelog ===
okular (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:01:39 -0500

okular (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Adapt packaging to upstream soname bump for libokular6core.
  * Update symbols from build for 24.08.2.
  * Cleanup symbols with debian çpackage revisions in their version.
  * Minor package description update.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 11:03:57 +0200

okular (4:24.05.2-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:24.05.2-3.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Aug 2024 00:14:16 +0200

okular (4:24.05.2-3) experimental; urgency=medium

  [ Jesse Rhodes ]
  * Fix arch:all build. (Closes: #1079053)
  * Update symbols to fix building for riscv64 and armel.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 14:48:51 +0200

okular (4:24.05.2-2ubuntu4) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 18:00:26 +0100

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.22~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               kirigami-addons-dev (>= 1.3.0~),
               libchm-dev,
               libdjvulibre-dev (>= 3.5.28~),
               libepub-dev,
               libfreetype-dev,
               libkexiv2qt6-dev (>= 24.05~),
               libkf6archive-dev (>= 5.240.0~),
               libkf6bookmarks-dev (>= 5.240.0~),
               libkf6colorscheme-dev (>= 5.240.0~),
               libkf6completion-dev (>= 5.240.0~),
               libkf6config-dev (>= 5.240.0~),
               libkf6configwidgets-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev (>= 5.240.0~),
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6iconthemes-dev (>= 5.240.0~),
               libkf6itemviews-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6parts-dev (>= 5.240.0~),
               libkf6pty-dev (>= 5.240.0~),
               libkf6purpose-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6threadweaver-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libkf6windowsystem-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libmarkdown2-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libplasmaactivities-dev,
               libpoppler-qt6-dev (>= 22.02.0~),
               libqca-qt6-dev (>= 2.1.0~),
               libqmobipocket6-dev (>= 4:24.05~),
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libzip-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-base-private-dev (>= 6.6.0~),
               qt6-declarative-dev (>= 6.6.0~),
               qt6-speech-dev (>= 6.6.0~),
               qt6-svg-dev (>= 6.6.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://okular.kde.org
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular

Package: libokular6core2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
Recommends: cups-bsd, okular-doc,
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer,
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 Additional document formats are in the okular-extra-backends package.
 .
 The Calligra suite provides Okular plugins for OpenDocument formats that can
 be found in the okular-backend-odt and okular-backend-odp packages.
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 5.240.0~),
         libkf6coreaddons-dev (>= 5.240.0~),
         libkf6xmlgui-dev (>= 5.240.0~),
         libokular6core2 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0~),
         qt6-base-private-dev (>= 6.6.0~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-data
Section: graphics
Architecture: all
Depends: ${misc:Depends},
Breaks: okular (<< 4:24.05.2-1~),
Replaces: okular (<< 4:24.05.2-1~),
Description: universal document viewer - data files
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package contains architecture-independent data files.

Package: okular-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: okular (<< 4:24.05.2-1~),
Replaces: okular (<< 4:24.05.2-1~),
Description: universal document viewer - manual
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package contains the HTML documentation.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: okular,
Provides: djvu-viewer,
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * DeJaVu Format
  * TIFF Image Format
  * EPUB
  * Markdown
 .
 This package is part of the KDE graphics module.

Package: qml6-module-org-kde-okular
Architecture: any
Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
         qml6-module-org-kde-kirigami (>= 5.240.0~),
         qml6-module-qtquick (>= 6.6.0~),
         qml6-module-qtquick-controls (>= 6.6.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
         qml6-module-org-kde-kirigami (>= 5.240.0~),
         qml6-module-org-kde-kirigamiaddons-components (>= 1.3.0~),
         qml6-module-org-kde-kirigamiaddons-delegates (>= 1.3.0~),
         qml6-module-org-kde-kirigamiaddons-formcard (>= 1.3.0~),
         qml6-module-org-kde-kitemmodels (>= 5.240.0~),
         qml6-module-org-kde-kquickcontrolsaddons (>= 5.240.0~),
         qml6-module-org-kde-okular (= ${binary:Version}),
         qml6-module-qtcore (>= 6.6.0~),
         qml6-module-qtqml-workerscript (>= 6.6.0~),
         qml6-module-qtquick (>= 6.6.0~),
         qml6-module-qtquick-controls (>= 6.6.0~),
         qml6-module-qtquick-dialogs (>= 6.6.0~),
         qml6-module-qtquick-layouts (>= 6.6.0~),
         qml6-module-qtquick-templates (>= 6.6.0~),
         qml6-module-qtquick-window (>= 6.6.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Recommends: okular,
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

## okular 24.12.0

=== debian/changelog ===
okular (4:24.12.0-2) unstable; urgency=medium

  * Remove leftover CHM build dependency. (Closes: #1092652)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 17:29:51 +0100

okular (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Upstream bumped soname to libokular6core3.
  * Update symbols from build for 24.12.0.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 16:49:38 +0100

okular (4:24.08.2-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh_qmldeps to detect QML dependencies.
  * Use dh_qmldeps for okular-mobile.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 Nov 2024 15:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.22~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
+               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
-               libchm-dev,
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
@@ -58,10 +57,10 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
-Package: libokular6core2
+Package: libokular6core3
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -107,7 +106,8 @@
 Depends: libkf6config-dev (>= 5.240.0~),
          libkf6coreaddons-dev (>= 5.240.0~),
          libkf6xmlgui-dev (>= 5.240.0~),
-         libokular6core2 (= ${binary:Version}),
+         libokular6core3 (= ${binary:Version}),
+         qml6-module-org-kde-okular (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          qt6-base-private-dev (>= 6.6.0~),
          ${misc:Depends},
@@ -157,12 +157,7 @@
 
 Package: qml6-module-org-kde-okular
 Architecture: any
-Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
-         qml6-module-org-kde-kirigami (>= 5.240.0~),
-         qml6-module-qtquick (>= 6.6.0~),
-         qml6-module-qtquick-controls (>= 6.6.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: mobile support for Okular - QML modules
  This package contains the QML module for interfacing with the Okular core
  library.
@@ -171,24 +166,7 @@
 
 Package: okular-mobile
 Architecture: any
-Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
-         qml6-module-org-kde-kirigami (>= 5.240.0~),
-         qml6-module-org-kde-kirigamiaddons-components (>= 1.3.0~),
-         qml6-module-org-kde-kirigamiaddons-delegates (>= 1.3.0~),
-         qml6-module-org-kde-kirigamiaddons-formcard (>= 1.3.0~),
-         qml6-module-org-kde-kitemmodels (>= 5.240.0~),
-         qml6-module-org-kde-kquickcontrolsaddons (>= 5.240.0~),
-         qml6-module-org-kde-okular (= ${binary:Version}),
-         qml6-module-qtcore (>= 6.6.0~),
-         qml6-module-qtqml-workerscript (>= 6.6.0~),
-         qml6-module-qtquick (>= 6.6.0~),
-         qml6-module-qtquick-controls (>= 6.6.0~),
-         qml6-module-qtquick-dialogs (>= 6.6.0~),
-         qml6-module-qtquick-layouts (>= 6.6.0~),
-         qml6-module-qtquick-templates (>= 6.6.0~),
-         qml6-module-qtquick-window (>= 6.6.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,

## okular 24.12.1

=== debian/changelog ===
okular (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:40:39 +0000

okular (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:24:49 +0000

okular (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:25:20 -0600

okular (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:16:05 +0000

okular (4:24.11.80-0ubuntu2) plucky; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 11:29:40 +0000

okular (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * Bump library package name according to upstream SONAME change.
    - libokular6core2 -> libokular6core3
    - Generate new symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 09:21:42 +0000

okular (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 14:50:31 +0000

okular (4:24.08.2-1ubuntu2) plucky; urgency=medium

  * Restore recommends on okular-extra-backends.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 14:48:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.22~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               dh-sequence-qmldeps,
-               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
+               libchm-dev,
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
-               libkexiv2qt6-dev (>= 24.05~),
+               libkexiv2qt6-dev (>= 24.12.1~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6bookmarks-dev (>= 5.240.0~),
                libkf6colorscheme-dev (>= 5.240.0~),
@@ -43,7 +44,7 @@
                libplasmaactivities-dev,
                libpoppler-qt6-dev (>= 22.02.0~),
                libqca-qt6-dev (>= 2.1.0~),
-               libqmobipocket6-dev (>= 4:24.05~),
+               libqmobipocket6-dev (>= 4:24.12.1~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -57,8 +58,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
 
 Package: libokular6core3
 Section: libs
@@ -73,7 +74,7 @@
 Section: graphics
 Architecture: any
 Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: cups-bsd, okular-doc,
+Recommends: cups-bsd, okular-doc, okular-extra-backends,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
@@ -107,7 +108,6 @@
          libkf6coreaddons-dev (>= 5.240.0~),
          libkf6xmlgui-dev (>= 5.240.0~),
          libokular6core3 (= ${binary:Version}),
-         qml6-module-org-kde-okular (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          qt6-base-private-dev (>= 6.6.0~),
          ${misc:Depends},
@@ -157,7 +157,12 @@
 
 Package: qml6-module-org-kde-okular
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
+         qml6-module-org-kde-kirigami (>= 5.240.0~),
+         qml6-module-qtquick (>= 6.6.0~),
+         qml6-module-qtquick-controls (>= 6.6.0~),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: mobile support for Okular - QML modules
  This package contains the QML module for interfacing with the Okular core
  library.
@@ -166,7 +171,24 @@
 
 Package: okular-mobile
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
+         qml6-module-org-kde-kirigami (>= 5.240.0~),
+         qml6-module-org-kde-kirigamiaddons-components (>= 1.3.0~),
+         qml6-module-org-kde-kirigamiaddons-delegates (>= 1.3.0~),
+         qml6-module-org-kde-kirigamiaddons-formcard (>= 1.3.0~),
+         qml6-module-org-kde-kitemmodels (>= 5.240.0~),
+         qml6-module-org-kde-kquickcontrolsaddons (>= 5.240.0~),
+         qml6-module-org-kde-okular (= ${binary:Version}),
+         qml6-module-qtcore (>= 6.6.0~),
+         qml6-module-qtqml-workerscript (>= 6.6.0~),
+         qml6-module-qtquick (>= 6.6.0~),
+         qml6-module-qtquick-controls (>= 6.6.0~),
+         qml6-module-qtquick-dialogs (>= 6.6.0~),
+         qml6-module-qtquick-layouts (>= 6.6.0~),
+         qml6-module-qtquick-templates (>= 6.6.0~),
+         qml6-module-qtquick-window (>= 6.6.0~),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## okular 24.12.2

=== debian/changelog ===
okular (4:24.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make okular build even on i386, where there is no poppler-qt6:
    - add the dh-exec, for architecture filtering in install files
    - exclude the libpoppler-qt6-dev build dependency on i386
    - tweak some install files to not install the files for the poppler
      generator on i386
    - pass -DFORCE_NOT_REQUIRED_DEPENDENCIES="Poppler" to cmake
  * Update symbols files.
  * Move the metainfo files for the generators shipped in the okular binary
    package from okular-data to okular itself: this is needed otherwise the
    files they refer to is not available by installing the package
    - add proper breaks/replaces

 -- Pino Toscano <pino@debian.org>  Sun, 09 Feb 2025 10:27:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.22~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
+               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
-               libchm-dev,
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
-               libkexiv2qt6-dev (>= 24.12.1~),
+               libkexiv2qt6-dev (>= 24.05~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6bookmarks-dev (>= 5.240.0~),
                libkf6colorscheme-dev (>= 5.240.0~),
@@ -42,9 +42,9 @@
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libplasmaactivities-dev,
-               libpoppler-qt6-dev (>= 22.02.0~),
+               libpoppler-qt6-dev (>= 22.02.0~) [!i386],
                libqca-qt6-dev (>= 2.1.0~),
-               libqmobipocket6-dev (>= 4:24.12.1~),
+               libqmobipocket6-dev (>= 4:24.05~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -58,8 +58,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
 Package: libokular6core3
 Section: libs
@@ -74,13 +74,15 @@
 Section: graphics
 Architecture: any
 Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: cups-bsd, okular-doc, okular-extra-backends,
+Recommends: cups-bsd, okular-doc,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
           texlive-binaries,
           unrar,
 Provides: pdf-viewer, postscript-viewer,
+Breaks: okular-data (<< 4:24.12.2-1~),
+Replaces: okular-data (<< 4:24.12.2-1~),
 Description: universal document viewer
  Okular is a universal document viewer with support for advanced document
  features, such as annotations, forms, and embedded files.
@@ -108,6 +110,7 @@
          libkf6coreaddons-dev (>= 5.240.0~),
          libkf6xmlgui-dev (>= 5.240.0~),
          libokular6core3 (= ${binary:Version}),
+         qml6-module-org-kde-okular (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          qt6-base-private-dev (>= 6.6.0~),
          ${misc:Depends},
@@ -157,12 +160,7 @@
 
 Package: qml6-module-org-kde-okular
 Architecture: any
-Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
-         qml6-module-org-kde-kirigami (>= 5.240.0~),
-         qml6-module-qtquick (>= 6.6.0~),
-         qml6-module-qtquick-controls (>= 6.6.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: mobile support for Okular - QML modules
  This package contains the QML module for interfacing with the Okular core
  library.
@@ -171,24 +169,7 @@
 
 Package: okular-mobile
 Architecture: any
-Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
-         qml6-module-org-kde-kirigami (>= 5.240.0~),
-         qml6-module-org-kde-kirigamiaddons-components (>= 1.3.0~),
-         qml6-module-org-kde-kirigamiaddons-delegates (>= 1.3.0~),
-         qml6-module-org-kde-kirigamiaddons-formcard (>= 1.3.0~),
-         qml6-module-org-kde-kitemmodels (>= 5.240.0~),
-         qml6-module-org-kde-kquickcontrolsaddons (>= 5.240.0~),
-         qml6-module-org-kde-okular (= ${binary:Version}),
-         qml6-module-qtcore (>= 6.6.0~),
-         qml6-module-qtqml-workerscript (>= 6.6.0~),
-         qml6-module-qtquick (>= 6.6.0~),
-         qml6-module-qtquick-controls (>= 6.6.0~),
-         qml6-module-qtquick-dialogs (>= 6.6.0~),
-         qml6-module-qtquick-layouts (>= 6.6.0~),
-         qml6-module-qtquick-templates (>= 6.6.0~),
-         qml6-module-qtquick-window (>= 6.6.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,

## okular 24.12.3

=== mobile/CMakeLists.txt ===

add_subdirectory( app )
add_subdirectory( components )

=== generators/comicbook/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_comicbook")

########### next target ###############

set( okularGenerator_comicbook_PART_SRCS
     document.cpp
     directory.cpp
     unrar.cpp qnatsort.cpp
     unrarflavours.cpp
   )

add_library(okular_comicbook STATIC ${okularGenerator_comicbook_PART_SRCS})
target_link_libraries(okular_comicbook okularcore KF6::I18n KF6::Archive)
set_target_properties(okular_comicbook PROPERTIES POSITION_INDEPENDENT_CODE ON)

okular_add_generator(okularGenerator_comicbook generator_comicbook.cpp)
target_link_libraries(okularGenerator_comicbook okular_comicbook)
if (UNIX AND NOT ANDROID)
   find_package(KF6Pty REQUIRED)
   target_compile_definitions(okular_comicbook PRIVATE -DWITH_KPTY=1)
   target_link_libraries(okular_comicbook KF6::Pty)
endif ()

if (KArchive_HAVE_LZMA)
    target_compile_definitions(okular_comicbook PRIVATE -DWITH_K7ZIP=1)
else()
    target_compile_definitions(okular_comicbook PRIVATE -DWITH_K7ZIP=0)
endif()

########### autotests ###############

add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
ecm_add_test(autotests/comicbooktest.cpp
    TEST_NAME "comicbooktest"
    LINK_LIBRARIES Qt6::Test KF6::CoreAddons okularcore okular_comicbook
)

########### install files ###############
if (BUILD_DESKTOP)
  install( PROGRAMS okularApplication_comicbook.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
if (BUILD_MOBILE)
  install( PROGRAMS org.kde.mobile.okular_comicbook.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
install( FILES org.kde.okular-comicbook.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/poppler/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_poppler")

add_subdirectory( conf )

set(CMAKE_REQUIRED_LIBRARIES Poppler::Qt6 Qt6::Core Qt6::Gui)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)

########### next target ###############

set(okularGenerator_poppler_PART_SRCS
   generator_pdf.cpp
   formfields.cpp
   annots.cpp
   pdfsignatureutils.cpp
   pdfsettingswidget.cpp
   imagescaling.cpp
)

ki18n_wrap_ui(okularGenerator_poppler_PART_SRCS
   conf/pdfsettingswidget.ui
)

kconfig_add_kcfg_files(okularGenerator_poppler_PART_SRCS GENERATE_MOC conf/pdfsettings.kcfgc )

okular_add_generator(okularGenerator_poppler ${okularGenerator_poppler_PART_SRCS})

target_link_libraries(okularGenerator_poppler okularcore KF6::I18n KF6::Completion KF6::KIOWidgets Poppler::Qt6 Qt6::Xml)

########### autotests ###############

ecm_add_test(autotests/testimagescaling.cpp
    TEST_NAME "imageScalingTest"
    LINK_LIBRARIES Qt6::Test Qt6::Gui
)

########### install files ###############
if (BUILD_DESKTOP)
  install( PROGRAMS okularApplication_pdf.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
if (BUILD_MOBILE)
  install( PROGRAMS org.kde.mobile.okular_pdf.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
install( FILES org.kde.okular-poppler.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== mobile/app/CMakeLists.txt ===
set(CMAKE_AUTORCC ON)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../..
  ${CMAKE_CURRENT_BINARY_DIR}/../../
)
add_executable(okularkirigami main.cpp app.qrc)
target_link_libraries(okularkirigami Qt6::Widgets Qt6::Qml KF6::I18n KF6::CoreAddons)
if (ANDROID)
    target_sources(okularkirigami PRIVATE android.cpp)

    # androiddeployqt only packages libraries needed by the main binary.
    # That is problematic because some of the libraries we need we only use in plugins
    # here we help androiddeployqt by linking those plugins dependencies
    # to the app.
    get_property(aux_list GLOBAL PROPERTY okular_generator_list)
    foreach(okular_generator ${aux_list})
      get_target_property(okular_generator_dependencies ${okular_generator} LINK_LIBRARIES)
      target_link_libraries(okularkirigami ${okular_generator_dependencies})
    endforeach()

    # Unfortunately gitlab CI for now doesn't use Craft so we need
    # to differentiate between gitlab CI and the binary factory
    if (ANDROID_LINK_EXTRA_LIBRARIES)
        message("Linking in extra libraries to help androiddeployqt")
        # androiddeployqt only packages libraries needed by the main binary.
        # the pdf/poppler generator links to poppler that links to NSS
        # and NSS has plugins. Here we link to those plugins so they get packaged
        pkg_check_modules(NSS "nss")
        target_link_directories(okularkirigami PRIVATE ${NSS_LIBRARY_DIRS})
        target_link_libraries(okularkirigami -lsoftokn3 -lnssckbi -lfreebl3)
    endif()

    kirigami_package_breeze_icons(ICONS
        application-pkcs7-signature
        bookmark-remove
        bookmarks-organize
        dialog-close
        document-open
        help-about-symbolic
        okular
        view-preview
        view-table-of-contents-ltr
    )

    ecm_add_android_apk(okularkirigami ANDROID_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../android)
endif()

install(TARGETS okularkirigami ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES package/metadata.desktop DESTINATION ${KDE_INSTALL_APPDIR} RENAME org.kde.okular.kirigami.desktop)
install( FILES org.kde.okular.kirigami.appdata.xml DESTINATION  ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
okular (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:08 -0500

okular (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:51:05 +0000

okular (4:24.12.2-1ubuntu1) plucky; urgency=high

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Gear build deps at current version.
    - Recommend extras backend.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Feb 2025 06:52:52 +0000

okular (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 15:19:59 +0000

okular (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:10:20 -0600

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.22~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
-               libkexiv2qt6-dev (>= 24.05~),
+               libkexiv2qt6-dev (>= 24.12.3~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6bookmarks-dev (>= 5.240.0~),
                libkf6colorscheme-dev (>= 5.240.0~),
@@ -44,7 +45,7 @@
                libplasmaactivities-dev,
                libpoppler-qt6-dev (>= 22.02.0~) [!i386],
                libqca-qt6-dev (>= 2.1.0~),
-               libqmobipocket6-dev (>= 4:24.05~),
+               libqmobipocket6-dev (>= 4:24.12.3~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -58,8 +59,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
 
 Package: libokular6core3
 Section: libs
@@ -74,7 +75,7 @@
 Section: graphics
 Architecture: any
 Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: cups-bsd, okular-doc,
+Recommends: cups-bsd, okular-doc, okular-extra-backends,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,

## okular 25.04.0

=== debian/changelog ===
okular (4:25.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 09:04:22 +0200

okular (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update symbols from build for 25.03.90.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 22:28:25 +0200

## okular 25.04.2

=== generators/epub/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_epub")

add_subdirectory(data)

########### next target ###############

set(okularGenerator_epub_PART_SRCS
  converter.cpp
  epubdocument.cpp
  generator_epub.cpp
)

okular_add_generator(okularGenerator_epub ${okularGenerator_epub_PART_SRCS})

target_include_directories(okularGenerator_epub PRIVATE ${EPUB_INCLUDE_DIR})
target_link_libraries(okularGenerator_epub okularcore ${EPUB_LIBRARIES} KF6::I18n Qt6::Widgets Qt6::Xml)


########### autotests ###############

if(BUILD_TESTING)
    add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
    ecm_add_test(autotests/epubgeneratortest.cpp
        TEST_NAME "epubgeneratortest"
        LINK_LIBRARIES Qt6::Test KF6::CoreAddons okularcore
    )
endif()

########### install files ###############
if (BUILD_DESKTOP)
  install( PROGRAMS okularApplication_epub.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
if (BUILD_MOBILE)
  install( PROGRAMS org.kde.mobile.okular_epub.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
install( FILES org.kde.okular-epub.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/mobipocket/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_mobi")

########### next target ###############

set(okularGenerator_mobi_PART_SRCS
  mobidocument.cpp
  generator_mobi.cpp
  converter.cpp
)

okular_add_generator(okularGenerator_mobi ${okularGenerator_mobi_PART_SRCS})

target_link_libraries(okularGenerator_mobi okularcore QMobipocket6 KF6::I18n Qt6::Gui)

########### install files ###############
if (BUILD_DESKTOP)
  install( PROGRAMS okularApplication_mobi.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
if (BUILD_MOBILE)
  install( PROGRAMS org.kde.mobile.okular_mobi.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
install( FILES org.kde.okular-mobipocket.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/spectre/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_ghostview")

add_subdirectory( conf )

########### next target ###############

set(okularGenerator_ghostview_SRCS
   generator_ghostview.cpp
   rendererthread.cpp
   spectre_debug.cpp
)

ki18n_wrap_ui(okularGenerator_ghostview_SRCS
   conf/gssettingswidget.ui
)

kconfig_add_kcfg_files(okularGenerator_ghostview_SRCS conf/gssettings.kcfgc )


okular_add_generator(okularGenerator_ghostview ${okularGenerator_ghostview_SRCS})

target_include_directories(okularGenerator_ghostview PRIVATE ${LIBSPECTRE_INCLUDE_DIR})
target_link_libraries(okularGenerator_ghostview okularcore ${LIBSPECTRE_LIBRARY} KF6::I18n Qt6::Xml)

########### install files ###############

if (BUILD_DESKTOP)
  install( PROGRAMS okularApplication_ghostview.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
if (BUILD_MOBILE)
  install( PROGRAMS org.kde.mobile.okular_ghostview.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()
ecm_install_icons(ICONS 16-apps-okular-gv.png  32-apps-okular-gv.png DESTINATION ${KDE_INSTALL_DATADIR}/okular/icons)
install( FILES org.kde.okular-spectre.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== part/data/CMakeLists.txt ===
# install annotator xml tools description
install(FILES
   tools.xml
   toolsQuick.xml
   drawingtools.xml
   DESTINATION ${KDE_INSTALL_DATADIR}/okular)

# install annotation tool images
install(FILES
   tool-base-okular.png
   tool-base-okular@2x.png
   tool-highlighter-okular-colorizable.png
   tool-highlighter-okular-colorizable@2x.png
   tool-ink-okular-colorizable.png
   tool-ink-okular-colorizable@2x.png
   tool-note.png
   tool-note-okular-colorizable.png
   tool-note-okular-colorizable@2x.png
   tool-note-inline.png
   tool-note-inline-okular-colorizable.png
   tool-note-inline-okular-colorizable@2x.png
   tool-typewriter-okular-colorizable.png
   tool-typewriter-okular-colorizable@2x.png
   DESTINATION ${KDE_INSTALL_DATADIR}/okular/pics)
# install annotation page images
install(FILES
   checkmark.png
   circle.png
   comment.png
   cross.png
   help.png
   insert.png
   key.png
   newparagraph.png
   note.png
   paperclip.png
   paragraph.png
   pushpin.png
   rightarrow.png
   rightpointer.png
   star.png
   uparrow.png
   upleftarrow.png
   DESTINATION ${KDE_INSTALL_DATADIR}/okular/pics)
# install misc images

=== debian/changelog ===
okular (4:25.04.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild against libplasmaactivities7.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Oct 2025 07:50:08 +0200

okular (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Fix build with Qt 6.10.
    - Delete old kconf update script.
    - Fax: Add a few bugprone-sizeof-expression exceptions.
  * New upstream release (25.04.2).
    - Fix detecting HTML in mobipocket document.
    - Fix opening password protected files on builds without kwallet.
    (kde#503852)
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:18:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.22~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
-               libkexiv2qt6-dev (>= 24.12.3~),
+               libkexiv2qt6-dev (>= 24.05~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6bookmarks-dev (>= 5.240.0~),
                libkf6colorscheme-dev (>= 5.240.0~),
@@ -45,7 +44,7 @@
                libplasmaactivities-dev,
                libpoppler-qt6-dev (>= 22.02.0~) [!i386],
                libqca-qt6-dev (>= 2.1.0~),
-               libqmobipocket6-dev (>= 4:24.12.3~),
+               libqmobipocket6-dev (>= 4:24.05~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -56,11 +55,11 @@
                qt6-speech-dev (>= 6.6.0~),
                qt6-svg-dev (>= 6.6.0~),
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
 Package: libokular6core3
 Section: libs
@@ -75,7 +74,7 @@
 Section: graphics
 Architecture: any
 Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: cups-bsd, okular-doc, okular-extra-backends,
+Recommends: cups-bsd, okular-doc,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both
+	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both -DFORCE_NOT_REQUIRED_DEPENDENCIES="Poppler"
 
 override_dh_auto_test:
 	# Disable dh_auto_test at build time

## okular 25.04.3

=== debian/changelog ===
okular (4:25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 04 Sep 2025 12:43:03 +0200

## okular 25.07.80

=== debian/changelog ===
okular (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Follow upstream soname bump.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:27:19 +0100

okular (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:57:14 +0100

okular (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version gear packages.
    - Recommend okular-extra-backends.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 08:29:03 +0100

okular (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:02:52 +0100

okular (4:25.04.1-0ubuntu2) questing; urgency=medium

  * Update okular.install for removed kconf_update file.

 -- Rik Mills <rikmills@kde.org>  Thu, 08 May 2025 07:02:56 +0100

okular (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:19:05 +0100

okular (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:05:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.22~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
-               libkexiv2qt6-dev (>= 24.05~),
+               libkexiv2qt6-dev (>= 25.07.80~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6bookmarks-dev (>= 5.240.0~),
                libkf6colorscheme-dev (>= 5.240.0~),
@@ -44,7 +45,7 @@
                libplasmaactivities-dev,
                libpoppler-qt6-dev (>= 22.02.0~) [!i386],
                libqca-qt6-dev (>= 2.1.0~),
-               libqmobipocket6-dev (>= 4:24.05~),
+               libqmobipocket6-dev (>= 4:25.07.80~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -58,10 +59,10 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
 
-Package: libokular6core3
+Package: libokular6core4
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -74,7 +75,7 @@
 Section: graphics
 Architecture: any
 Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: cups-bsd, okular-doc,
+Recommends: cups-bsd, okular-doc, okular-extra-backends,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
@@ -109,7 +110,7 @@
 Depends: libkf6config-dev (>= 5.240.0~),
          libkf6coreaddons-dev (>= 5.240.0~),
          libkf6xmlgui-dev (>= 5.240.0~),
-         libokular6core3 (= ${binary:Version}),
+         libokular6core4 (= ${binary:Version}),
          qml6-module-org-kde-okular (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          qt6-base-private-dev (>= 6.6.0~),
